struct scsw
Prev | I/O functions for channel-attached devices | Next

## Name

struct scsw — subchannel status word

## Synopsis

    struct scsw {
      __u32 key:4;
      __u32 sctl:1;
      __u32 eswf:1;
      __u32 cc:2;
      __u32 fmt:1;
      __u32 pfch:1;
      __u32 isic:1;
      __u32 alcc:1;
      __u32 ssi:1;
      __u32 zcc:1;
      __u32 ectl:1;
      __u32 pno:1;
      __u32 res:1;
      __u32 fctl:3;
      __u32 actl:7;
      __u32 stctl:5;
      __u32 cpa;
      __u32 dstat:8;
      __u32 cstat:8;
      __u32 count:16;
    };

## Members

key

  subchannel key

sctl

  suspend control

eswf

  esw format

cc

  deferred condition code

fmt

  format

pfch

  prefetch

isic

  initial-status interruption control

alcc

  adress-limit checking control

ssi

  supress-suspended interruption

zcc

  zero condition code

ectl

  extended control

pno

  path not operational

res

  reserved

fctl

  function control

actl

  activity control

stctl

  status control

cpa

  channel program address

dstat

  device status

cstat

  subchannel status

count

  residual count

Prev | Up | Next
Chapter 2. The ccw bus | Home | struct ccw1